import { service } from '@/config/axios/service'

// 请求 Worker 列表
export function getHometableList (params) {
  return service({
      baseURL: import.meta.env.VITE_APP_MODEL_URL,
      url: '/system/listWorker',
      method: 'get',
      params
  })
}
// 请求 Overview
export function getHomeOverviewData (params) {
  return service({
      baseURL: import.meta.env.VITE_APP_MODEL_URL,
      url: '/system/overview',
      method: 'get',
      params
  })
}

export function getAppInfo (params) {
  return service({
      baseURL: import.meta.env.VITE_APP_MODEL_URL,
      url: '/appInfo/assert',
      method: 'post',
      data: params
  })
}
