
// 公共函数，涉及到 i18n ，放进 common.js 报错，暂时先放在这里吧
export function translateInstanceStatus (status) : String {
    switch (status) {
        case 1: return '等待派发';
        case 2: return '等待Worker接收';
        case 3: return '运行中';
        case 4: return '失败';
        case 5: return '成功';
        case 9: return '手动取消';
        case 10: return '手动停止';
        default: return "unknown";
    }
};

export function translateWfInstanceStatus (status) : String {
    switch (status) {
        case 1: return '等待调度';
        case 2: return '运行中';
        case 3: return '失败';
        case 4: return '成功';
        case 10: return '手动停止';
        default: return "unknown";
    }
};

export function getDateTime (date) : String {
  const y = date.getFullYear();
  let m = date.getMonth() + 1;
  m = m < 10 ? ('0' + m) : m;
  let d = date.getDate();
  d = d < 10 ? ('0' + d) : d;
  let h = date.getHours();
  h = h < 10 ? ('0' + h) : h;
  let minute = date.getMinutes();
  minute = minute < 10 ? ('0' + minute) : minute;
  let second=date.getSeconds();  
  second=second < 10 ? ('0' + second) : second;  
  let timeF = ''
  timeF = y + '-' + m + '-' + d + ' ' + h + ':' + minute + ':' + second
  return timeF
}

