import { service } from '@/config/axios/service'

// 请求 Worker 列表
export function getcontainerdownloadContainerTemplate (params) {
  return service({
      baseURL: import.meta.env.VITE_APP_MODEL_URL,
      responseType: 'blob',
      url: '/container/downloadContainerTemplate',
      method: 'post',
      data: params
  })
}

export function getcontainersave (params) {
  return service({
      baseURL: import.meta.env.VITE_APP_MODEL_URL,
      url: '/container/save',
      method: 'post',
      data: params
  })
}

export function getcontainerlist (params) {
  return service({
      baseURL: import.meta.env.VITE_APP_MODEL_URL,
      url: '/container/list',
      method: 'get',
      params
  })
}

export function getcontainerdelete (params) {
  return service({
      baseURL: import.meta.env.VITE_APP_MODEL_URL,
      url: '/container/delete',
      method: 'get',
      params
  })
}

export function getcontainerlistDeployedWorker (params) {
  return service({
      baseURL: import.meta.env.VITE_APP_MODEL_URL,
      url: '/container/listDeployedWorker',
      method: 'get',
      params
  })
}


