import { service } from '@/config/axios/service'

// 请求 workflow 列表
export function getworkflowtableList(params) {
  return service({
      baseURL: import.meta.env.VITE_APP_MODEL_URL,
      url: '/workflow/list',
      method: 'post',
      data: params
  })
}

export function getworkflowable(type, params) {
  return service({
      baseURL: import.meta.env.VITE_APP_MODEL_URL,
      url: '/workflow/'+ type,
      method: 'get',
      params: params
  })
}

export function getworkflowrun(params) {
  return service({
      baseURL: import.meta.env.VITE_APP_MODEL_URL,
      url: '/workflow/run',
      method: 'get',
      params: params
  })
}
// 删除工作流
export function getdeleteworkflow(params) {
  return service({
      baseURL: import.meta.env.VITE_APP_MODEL_URL,
      url: '/workflow/delete',
      method: 'get',
      params: params
  })
}

//复制工作流
export function getworkflowcopy(params) {
  return service({
      baseURL: import.meta.env.VITE_APP_MODEL_URL,
      url: '/workflow/copy',
      method: 'post',
      params
  })
}

export function getworkflowfetch(params) {
  return service({
      baseURL: import.meta.env.VITE_APP_MODEL_URL,
      url: '/workflow/fetch',
      method: 'get',
      params
  })
}

// 保存工作流
export function getworkflowsave(params) {
  return service({
      baseURL: import.meta.env.VITE_APP_MODEL_URL,
      url: '/workflow/save',
      method: 'post',
      data: params
  })
}
export function getworkflowsaveNode(params) {
  return service({
      baseURL: import.meta.env.VITE_APP_MODEL_URL,
      url: '/workflow/saveNode',
      method: 'post',
      data: params
  })
}

//用户信息
export function getuserMessage() {
  return service({
      baseURL: import.meta.env.VITE_APP_MODEL_URL,
      url: '/user/list',
      method: 'get'
  })
}

//获取工作流详情数据
export function getwfInstanceinfo(params) {
  return service({
      baseURL: import.meta.env.VITE_APP_MODEL_URL,
      url: '/wfInstance/info',
      method: 'get',
      params
  })
}

//标记成功
export function getwfInstancemarkNodeAsSuccess(params) {
  return service({
      baseURL: import.meta.env.VITE_APP_MODEL_URL,
      url: '/wfInstance/markNodeAsSuccess',
      method: 'get',
      params
  })
}

export function getvalidatetimeExpression(params) {
  return service({
      baseURL: import.meta.env.VITE_APP_MODEL_URL,
      url: '/validate/timeExpression',
      method: 'get',
      params
  })
}